"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer_1 = require("inquirer");
class BaseProj {
    getAnswers() {
        return __awaiter(this, void 0, void 0, function* () {
            let answer = {};
            let questionList = this.getQuestions();
            for (let q of questionList) {
                let a = yield inquirer_1.prompt(q);
                let key = Reflect.ownKeys(a)[0];
                let value = Reflect.get(a, key);
                Reflect.set(answer, key, value);
            }
            return answer;
        });
    }
}
exports.BaseProj = BaseProj;
//# sourceMappingURL=baseProj.js.map