"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class GlobalData {
    static get hash() {
        let key = "localData";
        let value = {};
        if (!Reflect.has(global, key)) {
            Reflect.set(global, key, value);
        }
        else {
            value = Reflect.get(global, key);
        }
        return value;
    }
    static get projectName() {
        return this.hash.projectName;
    }
    static set projectName(name) {
        this.hash.projectName = name;
    }
    static get projectType() {
        return this.hash.projectType;
    }
    static set projectType(type) {
        this.hash.projectType = type;
    }
    static get projectRootPath() {
        return this.hash.projectRootPath;
    }
    static set projectRootPath(path) {
        this.hash.projectRootPath = path;
    }
}
exports.GlobalData = GlobalData;
//# sourceMappingURL=globalData.js.map