"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
function asyncExec(cmd, args) {
    return __awaiter(this, void 0, void 0, function* () {
        return new Promise((resolve, reject) => {
            let childProcess = child_process_1.spawn(cmd, args);
            let resultMessage = "";
            childProcess.stdout.on("data", data => {
                resultMessage += data + "\n";
            });
            childProcess.stderr.on("data", data => {
                resultMessage += data + "\n";
            });
            childProcess.on("close", code => {
                if (code == 0) {
                    resolve(resultMessage.trim());
                }
                else {
                    reject(resultMessage.trim());
                }
            });
        });
    });
}
exports.asyncExec = asyncExec;
//# sourceMappingURL=asyncExec.js.map