"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const yargs_1 = require("yargs");
const chalk_1 = require("chalk");
const template_1 = require("./common/template");
const path = require("path");
template_1.TemplateData.setPath(path.join(__dirname, "template"));
yargs_1.commandDir("cmd")
    .demandCommand(1, chalk_1.default.red("请输入子命令!"))
    .describe("help", "显示帮助")
    .describe("version", "显示版本号")
    .locale("en")
    .usage("Usage: $0 <command> [options]").argv;
process.on("SIGINT", function () {
    process.exit(0);
});
//# sourceMappingURL=index.js.map